cdac.medinfo.ccd.narrativeblock

## Class StrucDocFootnoteRef

- java.lang.Object
- - cdac.medinfo.ccd.narrativeblock.StrucDocFootnoteRef

- All Implemented Interfaces:
    java.io.Serializable

      public class StrucDocFootnoteRef
      extends java.lang.Object
      implements java.io.Serializable

  Java class for StrucDoc.FootnoteRef complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StrucDoc.FootnoteRef">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="language" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
             <attribute name="styleCode" type="{http://www.w3.org/2001/XMLSchema}NMTOKENS" />
             <attribute name="IDREF" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrucDocFootnoteRef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getID()` Gets the value of the id property.
    `java.lang.Object` | `getIDREF()` Gets the value of the idref property.
    `java.lang.String` | `getLanguage()` Gets the value of the language property.
    `java.util.List<java.lang.String>` | `getStyleCode()` Gets the value of the styleCode property.
    `void` | `setID(java.lang.String value)` Sets the value of the id property.
    `void` | `setIDREF(java.lang.Object value)` Sets the value of the idref property.
    `void` | `setLanguage(java.lang.String value)` Sets the value of the language property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrucDocFootnoteRef

          public StrucDocFootnoteRef()

  - ### Method Detail

    - #### getID

          public java.lang.String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the value of the language property.
      Returns:
        possible object is `String`

    - #### setLanguage

          public void setLanguage(java.lang.String value)

      Sets the value of the language property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStyleCode

          public java.util.List<java.lang.String> getStyleCode()

      Gets the value of the styleCode property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the styleCode property.

      For example, to add a new item, do as follows:

              getStyleCode().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getIDREF

          public java.lang.Object getIDREF()

      Gets the value of the idref property.
      Returns:
        possible object is `Object`

    - #### setIDREF

          public void setIDREF(java.lang.Object value)

      Sets the value of the idref property.
      Parameters:
        `value` - allowed object is `Object`